Skip to main content
`Ctrl`+`K`

# TaoLineSearchMonitor

Monitor the line search steps. This routine will output the iteration number, step length, and function value before calling the implementation specific monitor.

## Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchMonitor(TaoLineSearch ls, PetscInt its, PetscReal f, PetscReal step)

## Input Parameters

- ls - the `TaoLineSearch` context

- its - the current iterate number (>=0)

- f - the current objective function value

- step - the step length

## Options Database Key

- -tao_ls_monitor - Use the default monitor, which prints statistics to standard output

## See Also

`TaoLineSearch`

## Level

developer

## Location

src/tao/linesearch/interface/taolinesearch.c

## Implementations

TaoLineSearchMonitor_MT() in src/tao/linesearch/impls/morethuente/morethuente.c

Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages